Index: /trunk/src/paper01/fig7/sst_validation_scatter_2000_2009_basin.pro
===================================================================
--- /trunk/src/paper01/fig7/sst_validation_scatter_2000_2009_basin.pro	(revision 45)
+++ /trunk/src/paper01/fig7/sst_validation_scatter_2000_2009_basin.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _sst_validation_scatter_2000_2009_basin.pro
+; .. _sst_validation_scatter_2000_2009_basin.pro:
 ;
 ; ==========================================
@@ -9,8 +9,40 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph sst_validation_scatter_2000_2009_basin {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       sst_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_2000_2009_erai_*.txt"];
+;       sst_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_trop_*.txt"];
+;       sst_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_oaflx_*.txt"];
+;       sst_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_ncep_*.txt"];
+;       sst_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_ncep1_*.txt"];
+;       sst_tmi [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_2000_2009_tmi_*.txt"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/sst_validation_scatter_2000_2009_basin.ps"];
+;
+;       sst_validation_scatter_2000_2009_basin [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/brosster/trunk/src/paper01/fig7/sst_validation_scatter_2000_2009_basin.pro",
+;       label="${TROPFLUX}/src/paper01/fig7/sst_validation_scatter_2000_2009_basin.pro"];
+;
+;       {sst_erai} -> {sst_validation_scatter_2000_2009_basin} -> {sst_tropflux sst_oaflux sst_ncep sst_ncep1 figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -20,8 +52,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> sst_validation_scatter_2000_2009_basin, date1, date2
 ;
+; TODO
+; ====
+;
+; make it work on cratos : pb restore
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -30,4 +76,10 @@
 ; $Id$
 ;
+; - fplod 20110420T101535Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -35,19 +87,13 @@
 ;
 ;-
-pro sst_validation_scatter_2000_2009_basin,date1,date2
-@common
-
+pro sst_validation_scatter_2000_2009_basin, date1, date2
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_era_total
-;;   2.  .r read_variables_v2
-;;   3.  .r read_era_box
 
 ;; Give the location of mooring for validation of basic meteorological variables
-
-
 sitelist=['8s67e','12s55e', '8s55e', '8s80.5e', '1.5s80.5e', '0n80.5e', '1.5n80.5e', '1.5s90e', $
            '0n90e', '1.5n90e', '4n90e','8n90e','12n90e', '15n90e', '5s95e', $
@@ -80,15 +126,15 @@
 close,/all
 
-fi_sst_erai='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_erai_'+ocean+'.txt'
+fi_sst_erai=tropflux_id_env+'sst_2000_2009_erai_'+ocean+'.txt'
 openw,1,fi_sst_erai
-fi_sst_trop='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_trop_'+ocean+'.txt'
+fi_sst_trop=tropflux_id_env+'sst_2000_2009_trop_'+ocean+'.txt'
 openw,2,fi_sst_trop
-fi_sst_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_oaflx_'+ocean+'.txt'
+fi_sst_oaflx=tropflux_id_env+'sst_2000_2009_oaflx_'+ocean+'.txt'
 openw,3,fi_sst_oaflx
-fi_sst_ncep='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_ncep_'+ocean+'.txt'
+fi_sst_ncep=tropflux_id_env+'sst_2000_2009_ncep_'+ocean+'.txt'
 openw,4,fi_sst_ncep
-fi_sst_tmi='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_tmi_'+ocean+'.txt'
+fi_sst_tmi=tropflux_id_env+'sst_2000_2009_tmi_'+ocean+'.txt'
 openw,5,fi_sst_tmi
-fi_sst_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_ncep1_'+ocean+'.txt'
+fi_sst_ncep1=tropflux_id_env+'sst_2000_2009_ncep1_'+ocean+'.txt'
 openw,6,fi_sst_ncep1
 
@@ -104,36 +150,4 @@
 ;; first reading the whole ERAI uncorrected and corrected data
 
-;file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_sst_19890101_20091231_oafluxgrid.nc'
-;initncdf, file
-;unc=read_ncdf('sst',date1,date2,file=file,/nostr) & unc=unc-273.15
-;help, unc
-
-;file='/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_sst_19890101_20091231_v20.nc'
-;initncdf, file
-;cor=read_ncdf('sst',date1,date2,file=file,/nostr) & cor=cor-273.15
-;help, cor
-
-;file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/OAFlux_basic_variables_1985_2009.nc'
-;initncdf, file
-;oaf=read_ncdf("sst", date1, date2, file=file,/nostr)
-;help, oaf
-
-;fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/sst_ncep2_oafluxgrid_19890101_20091231.nc'
-;initncdf, fi
-;nce=read_ncdf("sst", date1-1, date2, file=fi,/nostr)
-;nce=nce-273.15
-;help, nce
-
-;fi='/Volumes/Iomega_HDD/work/flux_reconstruction/gridded_data/tmi_OI_oafluxgrid_30N30S.nc'
-;initncdf, fi
-;sst_tmi=read_ncdf("sst", date1, date2, file=fi,/nostr)
-;help, sst_tmi
-
-;file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/sst_ncep1_19890101_20091231.nc'
-;initncdf, file
-;nce1=read_ncdf("sst", date1, date2, file=file,/nostr)
-;nce1=nce1-273.15
-;help, nce1
-
 ;save, unc, cor, oaf, nce, sst_tmi, nce1, filename="sst_era_trop_oaf_nce_tmi_2000_2009_global.idl"
 ;; full data from 2000-2009 period are read first, and hence the above lines are commented
@@ -143,6 +157,4 @@
 ;; data from 20000101, 20090931
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -216,5 +228,5 @@
 close,/all
 
-fi_sst_erai='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_erai_'+ocean+'.txt'
+fi_sst_erai=tropflux_id_env+'sst_2000_2009_erai_'+ocean+'.txt'
 res=read_ascii(fi_sst_erai,data_start=1)
 ff=res.field1
@@ -242,5 +254,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_sst_trop='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_trop_'+ocean+'.txt'
+fi_sst_trop=tropflux_id_env+'sst_2000_2009_trop_'+ocean+'.txt'
 res=read_ascii(fi_sst_trop,data_start=1)
 ff=res.field1
@@ -269,5 +281,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_sst_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_oaflx_'+ocean+'.txt'
+fi_sst_oaflx=tropflux_id_env+'sst_2000_2009_oaflx_'+ocean+'.txt'
 res=read_ascii(fi_sst_oaflx,data_start=1)
 ff=res.field1
@@ -298,5 +310,5 @@
 
 
-fi_sst_ncep='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_ncep_'+ocean+'.txt'
+fi_sst_ncep=tropflux_id_env+'sst_2000_2009_ncep_'+ocean+'.txt'
 res=read_ascii(fi_sst_ncep,data_start=1)
 ff=res.field1
@@ -326,5 +338,5 @@
 
 
-fi_sst_tmi='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_tmi_'+ocean+'.txt'
+fi_sst_tmi=tropflux_id_env+'sst_2000_2009_tmi_'+ocean+'.txt'
 res=read_ascii(fi_sst_tmi,data_start=1)
 ff=res.field1
@@ -353,5 +365,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_sst_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/sst_2000_2009_ncep1_'+ocean+'.txt'
+fi_sst_ncep1=tropflux_id_env+'sst_2000_2009_ncep1_'+ocean+'.txt'
 res=read_ascii(fi_sst_ncep1,data_start=1)
 ff=res.field1
@@ -382,46 +394,6 @@
 closeps
 
-fig='sst_validation_scatter_2000_2009_'+ocean+'.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'sst_validation_scatter_2000_2009_'+ocean+'.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig7/ws_validation_scatter_2000_2009_basin.pro
===================================================================
--- /trunk/src/paper01/fig7/ws_validation_scatter_2000_2009_basin.pro	(revision 45)
+++ /trunk/src/paper01/fig7/ws_validation_scatter_2000_2009_basin.pro	(revision 46)
@@ -1,5 +1,5 @@
 ;+
 ;
-; .. _ws_validation_scatter_2000_2009_basin.pro
+; .. _ws_validation_scatter_2000_2009_basin.pro:
 ;
 ; =========================================
@@ -10,8 +10,40 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph ws_validation_scatter_2000_2009_basin {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       ws_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_2000_2009_erai_*.txt"];
+;       ws_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_2000_2009_trop_*.txt"];
+;       ws_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_2000_2009_oaflx_*.txt"];
+;       ws_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_2000_2009_ncep_*.txt"];
+;       ws_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_2000_2009_ncep1_*.txt"];
+;       ws_tmi [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_2000_2009_tmi_*.txt"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/ws_validation_scatter_2000_2009_basin.ps"];
+;
+;       ws_validation_scatter_2000_2009_basin [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/paper01/fig7/ws_validation_scatter_2000_2009_basin.pro",
+;       label="${TROPFLUX}/src/paper01/fig7/ws_validation_scatter_2000_2009_basin.pro"];
+;
+;       {ws_erai} -> {ws_validation_scatter_2000_2009_basin} -> {ws_tropflux ws_oaflux ws_ncep ws_ncep1 ws_tmi figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -21,7 +53,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> ws_validation_scatter_2000_2009_basin, date1, date2
+;
+; TODO
+; ====
+;
+; make it work on cratos : pb restore, missing data
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -36,15 +83,10 @@
 ;-
 pro ws_validation_scatter_2000_2009_basin,date1,date2
-@common
-
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_era_total
-;;   2.  .r read_variables_v2
-;;   3.  .r read_era_box
-
 ;; Give the location of mooring for validation of basic meteorological variables
 
@@ -101,15 +143,15 @@
 close,/all
 
-fi_ws_erai='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_erai_'+ocean+'.txt'
+fi_ws_erai=tropflux_id_env+'ws_2000_2009_erai_'+ocean+'.txt'
 openw,1,fi_ws_erai
-fi_ws_trop='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_trop_'+ocean+'.txt'
+fi_ws_trop=tropflux_id_env+'ws_2000_2009_trop_'+ocean+'.txt'
 openw,2,fi_ws_trop
-fi_ws_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_oaflx_'+ocean+'.txt'
+fi_ws_oaflx=tropflux_id_env+'ws_2000_2009_oaflx_'+ocean+'.txt'
 openw,3,fi_ws_oaflx
-fi_ws_ncep='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_ncep_'+ocean+'.txt'
+fi_ws_ncep=tropflux_id_env+'ws_2000_2009_ncep_'+ocean+'.txt'
 openw,4,fi_ws_ncep
-fi_ws_tmi='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_tmi_'+ocean+'.txt'
+fi_ws_tmi=tropflux_id_env+'ws_2000_2009_tmi_'+ocean+'.txt'
 openw,5,fi_ws_tmi
-fi_ws_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_ncep1_'+ocean+'.txt'
+fi_ws_ncep1=tropflux_id_env+'ws_2000_2009_ncep1_'+ocean+'.txt'
 openw,6,fi_ws_ncep1
 
@@ -125,5 +167,5 @@
 ;; date1=20000101 & date2=20090931
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_ws_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_ws_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 u=read_ncdf('u10',date1,date2,file=file,/nostr)
@@ -132,40 +174,4 @@
 ;help, unc
 
-;file='/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_ws_19890101_20091231_v20.nc'
-;initncdf, file
-;cor=read_ncdf('ws',date1,date2,file=file,/nostr)
-;help, cor
-
-;file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/OAFlux_basic_variables_1985_2009.nc'
-;initncdf, file
-;oaf=read_ncdf("wind", date1, date2, file=file,/nostr)
-;help, oaf
-
-;fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/uwind_ncep2_oafluxgrid_19890101_20091231.nc'
-;initncdf, fi
-;u=read_ncdf("u", date1-1, date2, file=fi,/nostr)
-;fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/vwind_ncep2_oafluxgrid_19890101_20091231.nc'
-;initncdf, fi
-;v=read_ncdf("v", date1-1, date2, file=fi,/nostr)
-;nce=sqrt(u*u+v*v)
-;help, nce
-
-;dir='/Volumes/Iomega_HDD/work/flux_reconstruction/gridded_data/'
-;fi=dir+'zonal_wind_speed_oafluxgrid_30N30S.nc'
-;initncdf, fi
-;u=read_ncdf("u", date1, date2, file=fi,/nostr)
-;fi=dir+'meridional_wind_speed_oafluxgrid_30N30S.nc'
-;initncdf, fi
-;v=read_ncdf("v", date1, date2, file=fi,/nostr)
-;ws_tmi=sqrt(u*u+v*v)
-;help, ws_tmi
-
-;file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/wind_ncep1_19890101_20091231.nc'
-;initncdf, file
-;u=read_ncdf("u", date1, date2, file=file,/nostr)
-;v=read_ncdf("v", date1, date2, file=file,/nostr)
-;nce1=sqrt(u*u+v*v)
-;help, nce1
-
 ;save, unc, cor, oaf, nce, ws_tmi, nce1, filename="ws_era_trop_oaf_nce_qscat_2000_2009_global.idl"
 restore, file="/Users/pkb/work/MY_SAXO/ws_era_trop_oaf_nce_qscat_2000_2009_global.idl"
@@ -173,6 +179,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -240,5 +244,5 @@
 endfor
 close,/all
-fi_ws_erai='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_erai_'+ocean+'.txt'
+fi_ws_erai=tropflux_id_env+'ws_2000_2009_erai_'+ocean+'.txt'
 res=read_ascii(fi_ws_erai,data_start=1)
 ff=res.field1
@@ -266,5 +270,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_ws_trop='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_trop_'+ocean+'.txt'
+fi_ws_trop=tropflux_id_env+'ws_2000_2009_trop_'+ocean+'.txt'
 res=read_ascii(fi_ws_trop,data_start=1)
 ff=res.field1
@@ -293,5 +297,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_ws_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_oaflx_'+ocean+'.txt'
+fi_ws_oaflx=tropflux_id_env+'ws_2000_2009_oaflx_'+ocean+'.txt'
 res=read_ascii(fi_ws_oaflx,data_start=1)
 ff=res.field1
@@ -322,5 +326,5 @@
 
 
-fi_ws_ncep='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_ncep_'+ocean+'.txt'
+fi_ws_ncep=tropflux_id_env+'ws_2000_2009_ncep_'+ocean+'.txt'
 res=read_ascii(fi_ws_ncep,data_start=1)
 ff=res.field1
@@ -349,5 +353,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_ws_tmi='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_tmi_'+ocean+'.txt'
+fi_ws_tmi=tropflux_id_env+'ws_2000_2009_tmi_'+ocean+'.txt'
 res=read_ascii(fi_ws_tmi,data_start=1)
 ff=res.field1
@@ -377,5 +381,5 @@
 
 
-fi_ws_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/ws_2000_2009_ncep1_'+ocean+'.txt'
+fi_ws_ncep1=tropflux_id_env+'ws_2000_2009_ncep1_'+ocean+'.txt'
 res=read_ascii(fi_ws_ncep1,data_start=1)
 ff=res.field1
@@ -406,46 +410,6 @@
 closeps
 
-fig='ws_validation_scatter_2000_2009_'+ocean+'.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'ws_validation_scatter_2000_2009_'+ocean+'.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig8/lhf_validation_scatter_2000_2009.pro
===================================================================
--- /trunk/src/paper01/fig8/lhf_validation_scatter_2000_2009.pro	(revision 45)
+++ /trunk/src/paper01/fig8/lhf_validation_scatter_2000_2009.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _lhf_validation_scatter_2000_2009.pro
+; .. _lhf_validation_scatter_2000_2009.pro:
 ;
 ; ====================================
@@ -6,6 +6,34 @@
 ; ====================================
 ;
-;  DESCRIPTION
+; DESCRIPTION
 ; ===========
+;
+; .. graphviz::
+;
+;    digraph lhf_validation_scatter_2000_2009 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       lhf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_2000_2009_erai_v52.txt"];
+;       lhf_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lhf_2000_2009_trop_v52.txt"];
+;       lhf_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lhf_2000_2009_oaflx_v52.txt"];
+;       lhf_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lhf_2000_2009_ncep_v52.txt"];
+;       lhf_ncep2_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       lhf_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lhf_2000_2009_ncep1_v52.txt"];
+;       lhf_ncep1_2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/fluxe_ncep1_19890101_20091231.nc"];
+;       lhf_erai_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lhf_19890101_20091231_oafluxgrid.nc"];
+;       lhf_tropflux2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2009.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/lhf_validation_scatter_2000_2009.ps"];
+;
+;       lhf_validation_scatter_2000_2009 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/brolhfer/trunk/src/paper01/fig7/lhf_validation_scatter_2000_2009.pro",
+;       label="${TROPFLUX}/src/paper01/fig7/lhf_validation_scatter_2000_2009.pro"];
+;
+;       {lhf_erai lhf_ncep2_oafluxgrid lhf_ncep1_2 lhf_erai_oafluxgrid lhf_tropflux2 lhf_oafluxgrid} -> {lhf_validation_scatter_2000_2009} -> {lhf_tropflux lhf_oaflux lhf_ncep lhf_ncep1 figure}
+;    }
 ;
 ; SEE ALSO
@@ -13,4 +41,12 @@
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -20,7 +56,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> lhf_validation_scatter_2000_2009, date1, date2
+;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -29,4 +80,10 @@
 ; $Id$
 ;
+; - fplod 20110420T102937Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -35,14 +92,10 @@
 ;-
 pro lhf_validation_scatter_2000_2009,date1,date2
-@common
-
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-
-;;  1.    read_variables_v2
-;;  2.    statistics_3var_v1
 
 ;; evaluation is done for 20000101 - 20091231 period
@@ -66,13 +119,13 @@
 close,/all
 
-fi_lhf_erai='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_erai_v52.txt'
+fi_lhf_erai=tropflux_id_env+'lhf_2000_2009_erai_v52.txt'
 openw,1,fi_lhf_erai
-fi_lhf_trop='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_trop_v52.txt'
+fi_lhf_trop=tropflux_id_env+'lhf_2000_2009_trop_v52.txt'
 openw,2,fi_lhf_trop
-fi_lhf_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_oaflx_v52.txt'
+fi_lhf_oaflx=tropflux_id_env+'lhf_2000_2009_oaflx_v52.txt'
 openw,3,fi_lhf_oaflx
-fi_lhf_ncep='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_ncep_v52.txt'
+fi_lhf_ncep=tropflux_id_env+'lhf_2000_2009_ncep_v52.txt'
 openw,4,fi_lhf_ncep
-fi_lhf_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_ncep1_v52.txt'
+fi_lhf_ncep1=tropflux_id_env+'lhf_2000_2009_ncep1_v52.txt'
 openw,5,fi_lhf_ncep1
 
@@ -85,10 +138,10 @@
 ;; first reading the whole ERAI uncorrected and corrected data
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lhf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 unc=read_ncdf('lhf',date1,date2,file=file,/nostr)
 help, unc
 
-file="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"
+file=tropflux_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
 cor=read_ncdf('lhf',date1,date2,file=file,/nostr)
@@ -96,15 +149,15 @@
 help, cor
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
 oaf=read_ncdf("lhf", date1, date2, file=file,/nostr)
 help, oaf
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/lhf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 nce=read_ncdf("lhf", date1, date2, file=fi,/nostr)
 help, nce
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/fluxe_ncep1_19890101_20091231.nc'
+file=tropflux_id_env+'fluxe_ncep1_19890101_20091231.nc'
 initncdf, file
 nce1=-1*read_ncdf("lhf", date1, date2, file=file,/nostr)
@@ -113,6 +166,4 @@
 nsmooth=1.
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -177,5 +228,5 @@
 close,/all
 
-fi_lhf_erai='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_erai_v52.txt'
+fi_lhf_erai=tropflux_id_env+'lhf_2000_2009_erai_v52.txt'
 res=read_ascii(fi_lhf_erai,data_start=1)
 ff=res.field1
@@ -208,5 +259,5 @@
 oplot, [20,200], [20,200]
 
-fi_lhf_trop='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_trop_v52.txt'
+fi_lhf_trop=tropflux_id_env+'lhf_2000_2009_trop_v52.txt'
 res=read_ascii(fi_lhf_trop,data_start=1)
 ff=res.field1
@@ -240,5 +291,5 @@
 
 
-fi_lhf_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_oaflx_v52.txt'
+fi_lhf_oaflx=tropflux_id_env+'lhf_2000_2009_oaflx_v52.txt'
 res=read_ascii(fi_lhf_oaflx,data_start=1)
 ff=res.field1
@@ -271,5 +322,5 @@
 oplot, [20,200], [20,200]
 
-fi_lhf_ncep='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_ncep_v52.txt'
+fi_lhf_ncep=tropflux_id_env+'lhf_2000_2009_ncep_v52.txt'
 res=read_ascii(fi_lhf_ncep,data_start=1)
 ff=res.field1
@@ -302,5 +353,5 @@
 oplot, [20,200], [20,200]
 
-fi_lhf_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/lhf_2000_2009_ncep1_v52.txt'
+fi_lhf_ncep1=tropflux_id_env+'lhf_2000_2009_ncep1_v52.txt'
 res=read_ascii(fi_lhf_ncep1,data_start=1)
 ff=res.field1
@@ -335,46 +386,6 @@
 closeps
 
-fig='lhf_validation_scatter_2000_2009.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'lhf_validation_scatter_2000_2009.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
